## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate wax

Name:           rust-wax
Version:        0.5.0
Release:        %autorelease
Summary:        Opinionated and portable globs for paths and directory trees

License:        MIT
URL:            https://crates.io/crates/wax
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# bump miette from 4.7.0 to 5.0.0 - already upstream:
# https://github.com/michel-slm/wax/commit/b024b30ec68bb86725365ec8caf247d028cddd6b
Patch:          wax-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Opinionated and portable globs that can be matched against paths and
directory trees.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
# only contains two icons
%exclude %{crate_instdir}/doc/
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+diagnostics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+diagnostics-devel %{_description}

This package contains library source intended for building other packages which
use the "diagnostics" feature of the "%{crate}" crate.

%files       -n %{name}+diagnostics-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+diagnostics-inspect-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+diagnostics-inspect-devel %{_description}

This package contains library source intended for building other packages which
use the "diagnostics-inspect" feature of the "%{crate}" crate.

%files       -n %{name}+diagnostics-inspect-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+diagnostics-report-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+diagnostics-report-devel %{_description}

This package contains library source intended for building other packages which
use the "diagnostics-report" feature of the "%{crate}" crate.

%files       -n %{name}+diagnostics-report-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+miette-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+miette-devel %{_description}

This package contains library source intended for building other packages which
use the "miette" feature of the "%{crate}" crate.

%files       -n %{name}+miette-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+vec1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+vec1-devel %{_description}

This package contains library source intended for building other packages which
use the "vec1" feature of the "%{crate}" crate.

%files       -n %{name}+vec1-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Jun 15 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.5.0-1
- Initial Fedora package
